apbs (1.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * python3.patch, wrong-path-for-interpreter.patch: use python3 as
    python executable for tests and scripts, fix print statements

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 12:05:58 +0800

apbs (1.5+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Split package into component packages supporting shared libraries
    and python module: libapbs-dev, libapbs1, python3-apbslib.
    Python 3 support Closes: #936124
  * debian patch link_libapbs_routines.patch links libapbs_routines
    to libapbs_generic and libapbs_mg (providing internal symbols)
  * debian/not-installed marks components of usr/share/apbs/tools
    which are deliberately not installed (matlab, windows, osx, etc)

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Mar 2020 12:08:59 +0800

apbs (1.5+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Leidert ]
  * debian/apbs-data.install: Fix brace-expansion-in-debhelper-config-file.
  * debian/compat: Increase dh level to 12.
  * debian/copyright: Minor update. Use HTTPS. Fix license short name.
  * debian/rules: Fix debian-rules-uses-unnecessary-dh-argument.
    (override_dh_install): Remove deprecated options. Make scripts executable.
  * debian/patches/debian_testfiles.patch (Description): Fix typo.
  * debian/patches/wrong-path-for-interpreter.patch: Added.
    - Fix wrong-path-for-interpreter in examples/protein-rna/apbs_unix_dx.py.
  * debian/patches/series: Adjusted.
  * debian/upstream: Rename to debian/upstream/metadata. Use HTTPS.

  [ Drew Parsons ]
  * update Homepage to http://www.poissonboltzmann.org/
  * update debian/watch to track https://github.com/Electrostatics/apbs-pdb2pqr
  * exclude pdb2pqr from source tarball (reversion with +dfsg1) since
    pdb2pqr is currently packaged separately.
  * New upstream release (+dfsg1 excluding pdb2pqr).
  * provide binary mesh tools in /usr/lib/apbs/tools/bin (linked from share)
  * activate Python support (uses shared libs)
  * add debian patches
    - shared_library_soname.patch assigns a soversion to shared libs
    - use major version as soname (until ABI proves unstable in the
      minor version). Requires cmake policy to set CMP0048 as NEW.
    - python3.patch enables tests to run in python3
  * modernize debhelper compatibility with
    Build-Depends: debhelper-compat (= 12)
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Mar 2020 23:54:29 +0800

apbs (1.4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/debian_testfiles.patch: Updated.
  * debian/patches/debian_testfiles.patch: Remove geoflow testcase, no longer
    working.
  * debian/patches/debian_testfiles.patch: Include test_cases.cfg in binary
    package.
  * debian/control (Build-Depends): Added swig3.0.
  * debian/rules (override_dh_auto_configure): Removed -DBUILD_SHARED_LIBS and 
    switched -DENABLE_PYTHON to Off.
  * debian/patches/debian_testfiles.patch: Add /usr/share/apbs/tools/manip/ to
    python search path.
  * debian/tests/control: Added needs-root to system-wide test.
  * debian/patches/debian_make.patch: Updated.
  * debian/gitlab-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Jul 2019 21:20:55 -0300

apbs (1.4-2) UNRELEASED; urgency=medium

  * Team upload.
  * fix spelling-error-in-binary lintian warnings
  * add debian/tests/control for autopkgtest
  * cme fix dpkg-control
  * update debhelper to >= 9
  * fix hardening-no-pie and hardening-no-bindnow lintian warnings
  * make debian/copyright machine-readable and check with
    "cme fix dpkg-copyright"
  * split to apbs and apbs-data, install examples/ and tests/ to apbs-data
  * fix script-not-executable lintian warnings
  * add allow-stderr restriction to debian/tests/control
  * add tests to debian/tests/control to check the same test when installed,
    install tools/manip/ to /usr/share/apbs (this is used with tests/)
  * add debian/README.test and debian/docs

 -- Tatiana Malygina <merlettaia@gmail.com>  Wed, 03 Aug 2016 16:46:10 +0300

apbs (1.4-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Build-Depends): Dropped all autotools related build dependencies,
    libarpack2-dev, libblas-dev and bc. Added cmake, libpython-dev
    and zlib1g-dev.
  * debian/copyright: Updated.
  * debian/rules: Enable hardening. Dropped all autotools related stuff and
    rewrote it for cmake build system.
  * debian/watch: Make regex case insensitive.
  * debian/patches/03_skip_expensive_tests.patch: Dropped. Upstream changed
    to cmake.
  * debian/patches/06_quicktest.patch: Ditto.
  * debian/patches/07_destdir.patch: Ditto.
  * debian/patches/08_distclean.patch: Ditto.
  * debian/patches/09_acinclude_fix.patch: Ditto.
  * debian/patches/debian_make.patch: Added.
    - Compile internal libraries statically into apbs.
  * debian/patches/debian_testfiles.patch: Added.
    - Skip expensive tests (see 03_skip_expensive_tests.patch).
  * debian/patches/series: Adjusted.

  [ Andreas Tille ]
  * debian/upstream: Author field in BibTeX syntax

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 18:21:30 +0200

apbs (1.3.0-2) unstable; urgency=low

  * debian/apbs.install: Adjusted.
  * debian/apbs.manpages: Added to fix binary-without-manpage.
  * debian/compat: Increased dh level to 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to recent 3.9.3.
    (Build-Depends): Removed unused cdbs. Added autotools-dev version
    requirements. Lowered required debhelper version.
    (Vcs-Browser): Fixed.
  * debian/copyright: Updated. Removed BSD license file reference to fix
    copyright-refers-to-deprecated-bsd-license-file.
  * debian/rules: Run autotools_dev template. Added override target for
    dh_install. Added target to install upstream changelog file.
  * debian/upstream: Added.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/*.patch: Updated for quilt.
  * debian/patches/04_remove_install-exec-am_rule.patch: Dropped. Moved
    patch content to 07_destdir.patch.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 29 Apr 2012 23:35:09 +0200

apbs (1.3.0-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert (dale) ]
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Don't build nor link against
    shipped copy of zlib.

  [ Michael Banck ]
  * Switch packaging to "3.0 (quilt)" format.
  * debian/rules: Rewritten for dh.
  * debian/control (Build-Depends): Removed quilt, bumped required debhelper
    version to 8.
  * debian/apbs.install: Install apbs executable explicitly.
  * debian/patches/07_destdir.patch: New patch, fixes DESTDIR in python
    setup.py installation in a contributed module.
  * debian/control (Build-Depends): Added dh-autoreconf, autoconf and
    automake.
  * debian/rules: Use --with autoreconf.
  * debian/rules (override_dh_auto_clean): Run make distclean in examples
    directory and remove all uncleaned Makefiles.
  * debian/patches/08_distclean.patch: New patch, fixes Makefile.am in various
    directories to clean all relevant files on make distclean.
  * debian/patches/09_acinclude_fix.patch: New patches, rewrites some m4
    macros so that recent autoconf versions do not produce faulty shell code,
    taken from Gentoo.
  * debian/control (Build-Depends): Added python-setuptools.

 -- Michael Banck <mbanck@debian.org>  Sun, 11 Mar 2012 19:12:24 +0100

apbs (1.2.1b-1) unstable; urgency=low

  * New upstream (bugfix) release.

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Replace libmpich1.0-dev with mpi-default-dev.
  * debian/rules: Added list-missing target.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Use the default
    MPI implementation for the architecture.
  * debian/watch: Slightly adjusted for upstream version schema.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 15:59:00 +0100

apbs (1.1.0-1) unstable; urgency=low

  * New upstream release.

  * debian/apbs.1: Added citation section.
    (SEE ALSO): User guide is not available locally anymore.
  * debian/apbs.doc-base,
    debian/apbs.dirs: Dropped useless files.
  * debian/apbs.install: Removed documentation files, because the user guide
    is not shipped anymore (closes: #508980). The lintian overrides are
    considered by dh_lintian.
  * debian/control (Uploaders): Removed LI as requested. Thanks for your work!
    (Build-Depends): Re-added arpack, which is back in main.
    (Standards-Version): Bumped to 3.8.2 (no other changes).
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/copyright: Updated and completed.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Build with arpack.
  * debian/README.source: Added to comply to policy.
  * debian/lintian-overrides/apbs: Dropped. License file is not installed
    anymore.
  * debian/patches/01_html_documentation.dpatch: Dropped, as there is no
    documentation installed anymore.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Updated/adjusted.
  * debian/patches/05_reduce_test_suite.dpatch: Dropped (cannot be applied
    anymore).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Jul 2009 19:06:05 +0200

apbs (1.0.0-2) unstable; urgency=low

  * debian/patches/06_quicktest.dpatch: New patch, add a `quicktest' target
    which only runs a couple of small tests.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Run quicktest instead of test for
    now.
  * debian/control (Build-Depends): Removed libarpack2-dev. (closes: #497722)
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Removed --with-arpack.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Sep 2008 00:00:41 +0200

apbs (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer contains a corrupted tarball (closes: #473822).
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Refreshed.
  * debian/patches/05_reduce_test_suite.dpatch: New patch, remove most of the
    coordinates for the ion test to save time (closes: 475064).

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jun 2008 14:25:47 +0200

apbs (0.5.1-2) unstable; urgency=low

  * Acknowledge NMU 0.5.1-1.1 (closes: #462263). Thanks to Colin Tuckley.

  [ Daniel Leidert ]
  * debian/apbs.1: Added.
  * debian/apbs.doc-base (Section): Adjusted accordingly to latest doc-base
    policy.
  * debian/apbs.install: Install lintian override.
  * debian/compat: Raised to level 5.
  * debian/control: Homepage field transition. Added Vcs fields. Added
    DM-Upload-Allowed field for DM status.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Added myself and LI Daobing.
    (Standards-Version): Updated to latest 3.7.3 (no other changes).
    (Build-Depends): Raised debhelper to v5. Added libarpack2-dev. Added
    libmpich1.0-dev for MPI support. Added python-minimal for some tests.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file issue. Updated
    copyright information. Added exception.
  * debian/rules: Install the newly added apbs.1 manpage.
    (DEB_CONFIGURE_EXTRA_FLAGS): Enable building with arpack (not useful atm
    without tools). Set prefix.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Enable MPI.
    (DEB_MAKE_INSTALL_TARGET): Only install from bin/ as long as we don't use
    the rest.
  * debian/watch: Updated to fit new source archive naming.
  * debian/lintian-overrides/apbs: Added. The documentation contains the
    license in several formats.

  [ LI Daobing ]
  * FTBFS if built twice in a row (Closes: #424100)

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 10 Mar 2008 08:46:53 +0100

apbs (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Build depend on libblas-dev instead of refblas3-dev (closes: #462263)
  * Add gfortran to Build Depends: to fix FTBFS in clean chroot

 -- Colin Tuckley <colint@debian.org>  Mon, 28 Jan 2008 11:05:21 +0000

apbs (0.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added dpatch and autotools-dev.
    (Standards-Version): Changed to latest standards version 3.7.2.
    (Description): Added Homepage field.
  * debian/copyright: Fixed download location after apbs has been moved to
    sourceforge.net.
  * debian/rules: Changed to use dpatch.mk instead of simple-patchsys.mk.
    Added buildcore.mk ruleset. Added FFLAGS flags to configure.
  * debian/watch: Added.
  * debian/patches/01_html_documentation.dpatch: Added. Replaces
    debian/patches/01_html_docu.patch.
  * debian/patches/02_remove_vf2c.dpatch: Added. Replaces
    debian/patches/02_remove_vf2c.patch.
  * debian/patches/90_autoreconf.dpatch: Added. Replaces
    debian/patches/90_autoreconf.patch. Probably closes: #424100.
  * debian/patches/00list: Added.

  [ Michael Banck ]
  * debian/patches/01_html_documentation: Updated.
  * debian/patches/02_remove_vf2c: Removed; no longer needed.
  * debian/patches/90_autoreconf: Likewise.
  * debian/control (Build-Depends): Added bc, needed for the test suite.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Added
    --with-fetk-include=/usr/include --with-fetk-library=/usr/lib
    --with-blas=-lblas.
  * debian/rules (DEB_MAKE_CHECK_TARGET): New target, run the test suite.
  * debian/patches/03_skip_expensive_tests.dpatch: New patch, skip tests which
    take a lot of memory and CPU.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: New patch, remove
    the install-exec-am rule from the top-level Makefile.  We can just install
    that data manually and it does not support DESTDIR anyway.
  * debian/apbs.install: Updated location of the user's guide and tutorial in
    the source tree.  Install license.html as well.

 -- Michael Banck <mbanck@debian.org>  Wed, 18 Jul 2007 15:48:58 +0200

apbs (0.4.0-2) unstable; urgency=low

  * debian/patches: New directory, manage changes to upstream with
    simple-patchsys.mk.
  * debian/patches/01_html_docu.patch: New patch, supress link to the
    programmer's manual we don't ship for now.
  * debian/patches/02_remove_vf2c.patch: New patch, remove MALOC's own
    -lvf2c f2c fork from linking.
  * debian/patches/90_autoreconf.patch: Update libtool; closes: #378211.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Sep 2006 19:14:24 +0200

apbs (0.4.0-1) unstable; urgency=low

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Thu, 29 Jun 2006 17:10:18 +0200
